Subject: Re: bug#25233: parted is confused by ISO images, miscalculates sizes/offsets
From: Phil Susi <[email-masked]>
To: Bjørn Forsman <[email-masked]>, [email-masked]
Date: Tue, 18 Apr 2017 11:23:59 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

On 12/19/2016 7:19 AM, Bjørn Forsman wrote:
> Hi all,
> 
> [My name is Bjørn Forsman, end user of parted, I'm using parted as my
> primary partitioning tool.]
> 
> When I run parted (latest version, 3.2) on an ISO file, it gets
> confused about the block size:
> 
>   $ parted ubuntu-16.04-desktop-amd64.iso p
>   WARNING: You are not superuser.  Watch out for permissions.
>   Warning: The driver descriptor says the physical block size is 2048
> bytes, but Linux says it is 512 bytes.
>   Ignore/Cancel?

This is because the image contains a mac partition table using a block
size of 2048 bytes since the image is meant to go on a cdrom, which has
a sector size of 2048 bytes.

> If I select "Ignore", it misinterprets the size and the partition table:
> 
>   Model:  (file)
>   Disk /home/bfo/Downloads/ubuntu-16.04-desktop-amd64.iso: 5944MB
>   Sector size (logical/physical): 2048B/512B
>   Partition Table: mac
>   Disk Flags:
> 
>   Number  Start   End     Size    File system  Name   Flags
>    1      2048B   6143B   4096B                Apple
>    2      1479MB  1481MB  2425kB               EFI

No; that is correctly interpreting the partition table.

> And if I select "Cancel" it gets the size right but doesn't show any more data:
> 
>   Model:  (file)
>   Disk /home/bfo/Downloads/ubuntu-16.04-desktop-amd64.iso: 1486MB
>   Sector size (logical/physical): 512B/512B
>   Partition Table: unknown
>   Disk Flags:

This has the size wrong, and shows no data since you bailed out of
trying to interpret the mac partition table.

> Why cannot parted handle this like fdisk?

Because fdisk does not know about mac partition tables.